ClassLoaderForClassArtifacts (Groovy 5.0.6)

Package: org.codehaus.groovy.reflection

## [Java] Class ClassLoaderForClassArtifacts

- org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

-     public class ClassLoaderForClassArtifacts
      extends ClassLoader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `SoftReference<Class>` | `klazz` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassLoaderForClassArtifacts(Class klazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `createClassName(Method method)`
    `` | `public String` | `createClassName(String methodName)`
    `` | `public Class` | `define(String name, byte[] bytes)`
    `` | `public Constructor` | `defineClassAndGetConstructor(String name, byte[] bytes)`
    `` | `public Class` | `loadClass(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassLoader` | `clearAssertionStatus, equals, getClass, getDefinedPackage, getDefinedPackages, getName, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, hashCode, isRegisteredAsParallelCapable, loadClass, notify, notifyAll, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, toString, wait, wait, wait`

- - ### Field Detail

    - #### public final SoftReference<Class> klazz

  - ### Constructor Detail

    - #### public ClassLoaderForClassArtifacts(Class klazz)

  - ### Method Detail

    - #### public String createClassName(Method method)

    - #### public String createClassName(String methodName)

    - #### public Class define(String name, byte[] bytes)

    - #### public Constructor defineClassAndGetConstructor(String name, byte[] bytes)

    - #### @Override
      public Class loadClass(String name)